Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.devel
Class CodeGeneratorTemplate

    java.lang.Object
      org.makumba.devel.CodeGeneratorTemplate

    public class CodeGeneratorTemplate

extends Object

This class defines a template for JSP files generated by the code generator. Templates are stored and read from `Properties` files. Makumba defines some code templates internally; custom templates can be defined by users and put into a directory called `codeTemplates` in the classes path of the web application.

Version:
  $Id: CodeGeneratorTemplate.java 3596 2009-01-08 02:07:19Z rosso_nero $
Author:
  rudi

Field Summary
`(package private) String` | `afterField`
`(package private) String` | `afterFieldName`
`(package private) String` | `afterFieldTag`
`(package private) String` | `afterFormBegin`
`(package private) String` | `afterPageHeader`
`(package private) String` | `afterPageHeaderLevel2`
`(package private) String` | `beforeField`
`(package private) String` | `beforeFieldName`
`(package private) String` | `beforeFieldTag`
`(package private) String` | `beforeFormEnd`
`(package private) String` | `beforePageHeader`
`(package private) String` | `beforePageHeaderLevel2`
`(package private) static String` | `DEFAULT_STYLE_HEADER`
`(package private) String` | `footer`
`(package private) String` | `header`

Constructor Summary
`CodeGeneratorTemplate()`
`CodeGeneratorTemplate(Map<String,String> props, String queryLanguage)`

Method Summary
`(package private) String` | `getProperty(Map<String,String> map, String key)`
`(package private) String` | `getProperty(Map<String,String> map, String key, String defaultValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STYLE_HEADER

    static final String DEFAULT_STYLE_HEADER

See Also:
  Constant Field Values

### afterField

    String afterField

### afterFieldName

    String afterFieldName

### afterFieldTag

    String afterFieldTag

### afterFormBegin

    String afterFormBegin

### beforeField

    String beforeField

### beforeFieldName

    String beforeFieldName

### beforeFieldTag

    String beforeFieldTag

### beforeFormEnd

    String beforeFormEnd

### footer

    String footer

### header

    String header

### beforePageHeader

    String beforePageHeader

### afterPageHeader

    String afterPageHeader

### beforePageHeaderLevel2

    String beforePageHeaderLevel2

### afterPageHeaderLevel2

    String afterPageHeaderLevel2

Constructor Detail

### CodeGeneratorTemplate

    public CodeGeneratorTemplate()

### CodeGeneratorTemplate

    public CodeGeneratorTemplate(Map<String,String> props,
                                 String queryLanguage)

Method Detail

### getProperty

    String getProperty(Map<String,String> map,
                       String key)

### getProperty

    String getProperty(Map<String,String> map,
                       String key,
                       String defaultValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20